Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_GIOP_Synch_Invocation Class Reference

TAO_GIOP_Synch_Invocation. More...

`#include <Invocation.h>`

Inheritance diagram for TAO_GIOP_Synch_Invocation:

[legend]
Collaboration diagram for TAO_GIOP_Synch_Invocation:

[legend]
List of all members.

## Public Methods
| TAO_GIOP_Synch_Invocation (void)
| Default constructor. This should never get called, it is here only to appease older versions of g++. More...
| TAO_GIOP_Synch_Invocation (TAO_Stub *stub, const char *operation, CORBA::ULong opname_len, CORBA::Boolean argument_flag, TAO_ORB_Core *orb_core, int byte_order=TAO_ENCAP_BYTE_ORDER)
| Constructor. More...
virtual | ~TAO_GIOP_Synch_Invocation (void)
| Destructor. More...
TAO_InputCDR & | inp_stream (void)
| Return the underlying input stream. Called by the stub to demarshal the results of the upcall into whatever return arguments there may be. More...
## Protected Methods
int | invoke_i (CORBA::Boolean is_locate_request ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
| Implementation of the invoke() methods, handles the basic send/reply code and the system exceptions. More...
## Protected Attributes
TAO_Synch_Reply_Dispatcher | rd_
| Reply dispatcher for the current synchronous invocation. More...
## Private Methods
int | validate_error (TAO_Bind_Dispatcher_Guard &ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
| Helper method for validating the error. Returns 0 to if processing can be continued or returns -1 to indicate a real error with the invocation. Useful mostly for validating timeouts that we got back from LF. More...

## Detailed Description

TAO_GIOP_Synch_Invocation.

Base class for TAO_GIOP_Twoway_Invocation and TAO_GIOP_Oneway_Invocation.

## Constructor & Destructor Documentation

TAO_GIOP_Synch_Invocation::TAO_GIOP_Synch_Invocation | ( | void |  | ) |

| Default constructor. This should never get called, it is here only to appease older versions of g++.

ACE_INLINE TAO_GIOP_Synch_Invocation::TAO_GIOP_Synch_Invocation | ( | TAO_Stub * | stub,
|  | const char * | operation,
|  | CORBA::ULong | opname_len,
|  | CORBA::Boolean | argument_flag,
|  | TAO_ORB_Core * | orb_core,
|  | int | byte_order = TAO_ENCAP_BYTE_ORDER
| ) |

| Constructor.

TAO_GIOP_Synch_Invocation::~TAO_GIOP_Synch_Invocation | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

ACE_INLINE TAO_InputCDR & TAO_GIOP_Synch_Invocation::inp_stream | ( | void |  | ) |

| Return the underlying input stream. Called by the stub to demarshal the results of the upcall into whatever return arguments there may be.

int TAO_GIOP_Synch_Invocation::invoke_i | ( | CORBA::Boolean is_locate_request | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[protected]`

| Implementation of the invoke() methods, handles the basic send/reply code and the system exceptions.

int TAO_GIOP_Synch_Invocation::validate_error | ( | TAO_Bind_Dispatcher_Guard & | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[private]`

| Helper method for validating the error. Returns 0 to if processing can be continued or returns -1 to indicate a real error with the invocation. Useful mostly for validating timeouts that we got back from LF.

## Member Data Documentation

TAO_Synch_Reply_Dispatcher TAO_GIOP_Synch_Invocation::rd_`[protected]`

| Reply dispatcher for the current synchronous invocation.

The documentation for this class was generated from the following files:

- Invocation.h
- Invocation.cpp
- Invocation.i